@import url('https://fonts.googleapis.com/css2?family=Nunito:ital,wght@0,200;0,400;0,500;0,600;0,700;0,800;1,300;1,700&display=swap');



:root {
    --highlight: #f9ca24;
    --bgcolor: #111;
    --fcolor: #EAECEE;
/* 
    --main-color: #0047b3;
    --primary-bg: #fff;
    --secondary-bg: #eee;
    --primary-text: #222;
    --secondary-text: #666; */
  
    /* --fcolor:#eee; */
}

/* --color1: #f9ca24;
    --color2: #2ECC71;
    --color3: #E74C3C; 
    text color #F8F9F9
    bgcolor #111*/

* {
    font-family: 'Nunito', sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    outline: none;
    border: none;
    
    transition: all .2s linear;
}

::selection {
    background: var(--highlight);
    color: #333;
}

html {
    font-size: 62.5%;
    overflow-x: hidden;
}

html::-webkit-scrollbar {
    width: 1.4rem;
}

html::-webkit-scrollbar-track {
    background: #222;
}

html::-webkit-scrollbar-thumb {
    background: #5DADE2;
}

body {
    background: var(--bgcolor);
    overflow-x: hidden;
    padding-left: 35rem;
}

section {
    min-height: 100vh;
    padding: 1rem;
}


.btn {
    padding: .7rem 3rem;
    background: var(--fcolor);
    color: var(--bgcolor);
    cursor: pointer;
    margin-top: 1rem;
    font-size: 2rem;
    border-radius: 5rem;

}

.btn i {
    padding: 0 .5rem;
    font-size: 1.8rem;
}

.btn:hover {
    background-color: var(--highlight);
}

.heading {
    text-align: center;
    margin: 0 6rem;
    font-size: 4rem;
    padding: 1rem;
    border-bottom: .1rem solid var(--highlight);
    color: var(--fcolor);
}

.heading span {
    color: var(--highlight);
}



header {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1000;
    height: 100%;
    width: 35rem;
    background: var(--bgcolor);
    display: flex;
    flex-flow: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    border: .2rem solid var(--highlight);
    ;
}

.colorchange {
    display: flex;
    align-items: start;
    justify-content: left;
}

.yellow {
    width: 10px;
    height: 10px;
    background-color: #D4AC0D;
    border-radius: 50%;
    margin: 8px;
}

.green {
    width: 10px;
    height: 10px;
    background-color: #2ECC71;
    border-radius: 50%;
    margin: 8px;
}

.red {
    width: 10px;
    height: 10px;
    background-color: #E74C3C;
    border-radius: 50%;
    margin: 8px;
}


.fa-sun {
    width: 40px;
    height: 40px;
    font-size: 2.5rem;
    color: #fff;
}

.fa-moon {
    width: 40px;
    height: 40px;
    font-size: 2.5rem;
    color: #000;
}

header .user img {
    height: 20rem;
    width: 20rem;
    border-radius: 50%;
    object-fit: cover;
    margin-bottom: 1rem;
    border: .7rem solid var(--highlight);
}

header .user .name {
    font-size: 3.5rem;
    color: var(--fcolor);
}

header .user .name span {
    font-size: 3.5rem;
    color: var(--highlight);
}

header .user .post {
    font-size: 2rem;
    color: var(--fcolor);
}

header .navbar {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

}

header .navbar ul {


    list-style: none;
    /* padding: 1rem 1rem; */
    width: 70%;

}

/* var(--fcolor); */
header .navbar ul li a {
    display: block;
    padding: .5rem;
    margin: 1rem 0;
    background: #333;
    color: #fff;
    font-size: 2rem;
    border-radius: 5rem;
    box-sizing: content-box;
    text-decoration: none;

}

header .navbar ul li a:hover {
    background: var(--highlight);
}

#menu {
    position: fixed;
    top: 2rem;
    right: 2rem;
    background: var(--bgcolor);
    color: var(--fcolor);
    cursor: pointer;
    font-size: 2.5rem;
    padding: 1rem 1.5rem;
    z-index: 1000;
    display: none;
}

.quote-container{
    position: absolute;
    z-index: 1000;
    left: 50rem;
    top: 0rem;
    height: 125px;
    width: 70%;
   
}
.quotes{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    width: 60%;
    font-style: italic;
    font-size: 20px;
    /* margin-top: 10px;
        padding: 15px; */
}

.author {
    align-self: flex-end;
    margin-block-end: 1px;
    margin-block-start: 0px;
  }
  .quote {
    margin-block-end: 1px;
    margin-block-start: 2px;
  }
  
  .fa-solid{
    align-self: center;
    cursor: pointer;
    color: var(--fcolor);
  }

.home {
    display: flex;
    justify-content: center;
    flex-flow: column;
    padding: 0 15rem;
  }

  
.home h3 {
    font-size: 2.5rem;
    color: var(--fcolor);
}

.home h1 {
    font-size: 5rem;
    color: var(--fcolor);
}

.home h1 .fname {
    color: var(--highlight);
    padding-right: 1rem;
    padding-left: 1rem;
}

.home p {
    font-size: 2rem;
    color: var(--fcolor);
    padding: 1rem 0;
}


.about .row {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    padding: 1rem 0;
}

.about .row .info {
    flex: 1 1 48rem;
    padding: 2rem 1rem;
    padding-left: 6rem;
}

.about .row .info h3 {
    font-size: 2rem;
    color: var(--fcolor);
    padding: 1rem 0;
    font-weight: normal;
}

.about .row .info h3 span {
    color: var(--fcolor);
    padding: 0 .5rem;
}

.about .row .counter {
    display: flex;
    flex: 1 1 48rem;
    justify-content: center;
    flex-wrap: wrap;
}

.about .row .counter .box {
    width: 20rem;
    background: var(--bgcolor);
    text-align: center;
    padding: 2rem;
    margin: 2rem;
    border: .1rem solid var(--highlight);
    border-radius: 2rem;
}

.about .row .counter .box:hover {
    scale: 1.1;
}

.about .row .counter .box span {
    font-size: 4rem;
    color: var(--highlight);
}

.about .row .counter .box h3 {
    font-size: 2rem;
    color: var(--fcolor);
}


/* Skills section */

.skills .row {
display: flex;
align-items: center;
justify-content: center;
flex-wrap: wrap;
padding-top: 2rem;;

}

.skills .row .box {
flex: 1 1 40rem;
background-color: var(--bgcolor);
border-radius: 0.5rem;
box-shadow: 0 0.5rem 1rem var(--highlight);
padding: 2rem;
margin: 1.5rem;
}

.skills .row .box .title {
color: var(--fcolor);
font-size: 2.5rem;
padding: 1rem 0;
}


.skills .row .box .title-progress h3 {
font-size: 1.7rem;
color: var(--fcolor);
display: flex;
justify-content: space-between;
padding-top:2rem;

} 


  








.education .box-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
    padding: 1rem 0;
    padding-left: 3rem;
}

.education .box-container .box {
    width: 27rem;
    margin: 4rem 1rem;
    padding-left: 4rem;
    border-left: .2rem solid var(--fcolor);
    position: relative;
}

.education .box-container .box span {
    font-size: 1.3rem;
    background: var(--bgcolor);
    color: var(--fcolor);
    border-radius: 5rem;
    padding: .5rem 2.5rem;
}

.education .box-container .box h3 {
    font-size: 2rem;
    color: var(--fcolor);
    padding-top: 1.5rem;
}

.education .box-container .box p {
    font-size: 1.4rem;
    color: var(--fcolor);
    padding: 1rem 0;
}

.education .box-container .box i {
    position: absolute;
    top: -1.5rem;
    left: -2.5rem;
    height: 5rem;
    width: 5rem;
    border-radius: 50%;
    line-height: 5rem;
    text-align: center;
    font-size: 2rem;
    color: var(--fcolor);
    background: var(--highlight);
}


.projects .box-container {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    padding: 2rem 0;
}

.projects .box-container .box {
    height: 20rem;
    width: 26rem;
    border-radius: 1rem;
    margin: 2rem;
    overflow: hidden;
    cursor: pointer;
}

.projects .box-container .box img {
    height: 100%;
    width: 100%;
    object-fit: cover;
}

.projects .box-container .box:hover img {
    transform: scale(1.2);
}


.contact .row {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
}

.contact .row .content {
    flex: 1 1 30rem;
    padding: 4rem;
    padding-bottom: 0;
}

.contact .row form {
    flex: 1 1 45rem;
    padding: 2rem;
    margin: 2rem;
    margin-bottom: 4rem;
}

.contact .row form .box {
    padding: 1.5rem;
    margin: 1rem 0;
    background: var(--bgcolor);
    color: var(--fcolor);
    text-transform: none;
    font-size: 1.7rem;
    width: 100%;
    border: .1rem solid var(--highlight);
    border-radius: 1rem;

}

.contact .row form .message {
    height: 15rem;
    resize: none;
}


.contact .row .content .title {
    text-transform: none;
    color: var(--fcolor);
    font-size: 3rem;
    padding-bottom: 2rem;
}

.contact .row .content .info h3 {
    text-transform: none;
    display: flex;
    align-items: center;
    font-size: 2rem;
    color: var(--fcolor);
    padding: 1rem 0;
    font-weight: normal;
}

.contact .row .content .info h3 i {
    padding-right: 1rem;
    columns: var(--highlight);
}

.map-container {
    display: flex;
    justify-content: center;
    margin-top: 2rem;
    padding-bottom: 4rem;
    margin-bottom: 2rem;
    border-bottom: .2rem solid var(--highlight);

}

.map {
    background: var(--highlight);
    padding: 1rem;
    margin: 3rem;
}




















/* media queries */
@media (max-width:1200px) {

    html {
        font-size: 55%;
    }

    .home {
        padding: 1rem 4rem;
    }
}

@media (max-width:990px) {

    header {
        left: -120%;
    }

    #menu {
        display: block;
    }

    header.toggle {
        left: 0%;
    }

    body {
        padding: 0;
    }
}


@media (max-width:760px) {

    html {
        font-size: 50%;
    }
    .quote-container{
        display: none;
    }

}

@media (max-width:450px) {

    header {
        width: 100vw;
    }

    .heading {
        margin: 0 3rem;

    }

    .about .row .counter .box {
        width: 100%;
    }

    .education .box-container .box {
        width: 100%;
    }

    .projects .box-container .box {
        width: 100%;
    }

    .contact .row form {
        margin: 3rem 0;
    }
}